Subject: Re: bug#802: openrc: openrc-run: to many broken options

From: meow <[email-masked]>
Date: Tue, 21 Nov 2023 18:58:37 +0000

maybe. but where can I read README.Debian? 
This is the first I’m hearing of it.
Is it not better to mark these options as unsupported in the openrc-run manual page, or edit /lib/rc/sh/start-stop-daemon.sh to display a warning instead of passing the wrong options?

On November 20, 2023 5:53:19 PM UTC, Mark Hindley <[email-masked]> wrote:
>Control: tags -1 debian
>
>Lorietta,
>
>On Sun, Nov 19, 2023 at 04:32:19PM +1100, Lorietta wrote:
>>    Package: openrc
>>    Version: 0.45.2-2
>>    Severity: normal
>>    X-Debbugs-Cc: [email-masked]
>>    Dear Maintainer,
>>    When writing an init script with the openrc-run interpreter, and the
>>    start-stop-daemon supervisor (used by default),
>>    you cannot pass options such as 'output_log' and 'error_log',
>>    because the Debian version of start-stop-daemon is incompatible with
>>    the start-stop-daemon version from Gentoo.
>
>This is by design. Having another start-stop-daemon on Debian with different
>behaviour and options would create many problems.
>
>>    I did not submit this bug to the Debian BTS because Debian has
>>    officially switched to systemd
>>    and I doubt that this bug report will be noticed there.
>
>It would have been -- I maintain the openrc package in Debian.
>
>The best I can do is offer to document this more clearly. Probably the
>README.Debian would be best.
>
>What do you think?
>
>Mark